// Bootstrap variables
$white:    #fff !default;
$gray-100: #f8f9fa !default;
$gray-200: #e9ecef !default;
$gray-300: #dee2e6 !default;
$gray-400: #ced4da !default;
$gray-500: #adb5bd !default;
$gray-600: #6c757d !default;
$gray-700: #495057 !default;
$gray-800: #343a40 !default;
$gray-900: #212529 !default;
$black:    #000 !default;

$blue:    #1177d1 !default;
$indigo:  #6610f2 !default;
$purple:  #613d7c !default;
$pink:    #e83e8c !default;
$red:     #d43f3a !default;
$orange:  #f0ad4e !default;
$yellow:  #ff7518 !default;
$green:   #398439 !default;
$teal:    #20c997 !default;
$cyan:    #5bc0de !default;

$primary:       #1968BE !default;
$success:       $green !default;
$info:          #4caf50 !default;
$warning:       $orange !default;
$danger:        $red !default;
$secondary:     $gray-400 !default;

$info-outline:    #1f7e9a;
$warning-outline: #a6670e;

// Options
$enable-rounded: false !default;
$enable-responsive-font-sizes: true !default;

// Body
$body-color:    $gray-800 !default;
$card-bg: rgba(255, 255, 255, 0.98)!default;
$body-bg: #314351 !default;
$drawer-bg:	$white;

// Fonts
$font-size-base: 0.9375rem !default;
$rfs-base-font-size: 0.9rem !default;
$headings-font-weight:   300 !default;

// Breadcrumbs
$breadcrumb-padding-y:              .25rem !default;
$breadcrumb-padding-x:              0 !default;
$breadcrumb-item-padding:           .5rem !default;
$breadcrumb-margin-bottom:          0 !default;
$breadcrumb-bg:                     transparent !default;

// Floating elements positions
$gototop-bottom-position: 50px !default;

// Alerts
$alert-border-width:                0 !default;


// REBEL variables
$navbar-bg: #e3eaf5 !default;
$navbartextcolor: #333 !default;
$header-bg: #1968be !default;
$headerimageheight: 650px !default;
$headerlinks-bg: #e3eaf5 !default;
$headerlinks-link: $black !default;
$footer-bg: #e5ebef !default;
$footerlinkcolor: #333 !default;
$footertextcolor: #333 !default;
$sidebar-bg: $body-bg !default;
$sidebar-iconcolor: $white !default;
$sidebar-ahover-bg: #1f77b2 !default;
$sidebar-aattention: #4caf50 !default;
$sidebar-borderright-color: $white !default;
$easyenrolltextcolor: $white !default;
$easyenroll-bg: #4caf50 !default;

// Tabs
$nav-tabs-border-color:             $gray-300 !default;
$nav-tabs-link-hover-border-color:  $gray-200 $gray-200 $nav-tabs-border-color !default;
$nav-tabs-link-active-color:        $gray-700 !default;
$nav-tabs-link-active-bg:           $gray-200 !default;
$nav-tabs-link-active-border-color: $gray-300 $gray-300 $nav-tabs-link-active-bg !default;

// Breadcrumbs in Rebel
//$breadcrumbblock: #607d8b;
//$breadcrumbblock-darken: #213561;
//$breadcrumbblock-highlight: #213561;
//$breadcrumbblock-highlight-darken: #607d8b;
//$breadcrumblinkcolor: $white;
//$breadcrumblinkcolor-hover: $white;


// Breadcrumbs in Rebel
$breadcrumbblock: #d43f3a;
$breadcrumbblock-darken: $body-bg;
$breadcrumbblock-highlight: $body-bg;
$breadcrumbblock-highlight-darken: #d43f3a;
$breadcrumblinkcolor: $white;
$breadcrumblinkcolor-hover: $white;

// stylelint-disable
$theme-colors: () !default;
$theme-colors: map-merge((
    primary: $primary,
    secondary: $secondary,
    success: $success,
    info: $info,
    warning: $warning,
    danger: $danger,
), $theme-colors);
// stylelint-enable


// Import FontAwesome.
@import "../../boost/scss/fontawesome";

// Import All of Bootstrap
@import "../../boost/scss/bootstrap";

// Import Core moodle CSS
@import "../../boost/scss/moodle";

body {
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}


// REBEL Styling changes
@media (min-width: 700px) {
  div#learningcontent {
      box-shadow: 0 0 10px -4px rgba(0,0,0,.6);
      margin: 0px 0px 0px 62px !important;
  }
}
@media (max-width: 700px) {
  div#learningcontent {
      box-shadow: 0 0 10px -4px rgba(0,0,0,.6);
      margin: 0px 0px 0px 47px !important;
  }
}
.sidebar {
  top: 0!important;
}
#page {
    margin-top: 0px;
    background-color: $white;
}
.page-context-header .page-header-headings, .page-context-header .header-button-group {
    color: $white;
}
aside#block-region-side-pre section.block {
    background-color: $gray-100;
    border-top: 7px solid $body-bg;
}
.discussion-nav.clearfix {
    background-color: $navbar-bg;
    border: 1px solid darken($navbar-bg, 10%);
    border-radius: 4px;
}
.discussion-nav.clearfix a{
    color: $navbartextcolor;
}
.topactivity {
    display: flex;
    align-items: center;
    justify-content: flex-end;
}
.activity-navigation {
    display: inline-flex;
    border: 1px solid #bdcee8;
    border-top: 0;
    background-color: #e3eaf5;
    border-radius: 0 0 4px 4px;
}
.section-summary-activities.pr-2.mdl-right, .course-content ul.collapsibletopics .sectiontoggle.collapsed~.section-summary-activities {
    border: 1px solid darken($navbar-bg, 10%);
    background-color: $navbar-bg;
    display: inline-flex;
    margin-left: 1rem;
    color: $black;
    padding: 0 .75rem!important;
}
.course-content .section-summary .section-summary-activities .activity-count, .course-content ul.collapsibletopics .content .section-summary-activities .activity-count {
    color: $black;
}
li.activity {
    padding: .25rem!important;
    border: 1px solid transparent;
    min-width: 100%;
}
li.activity:hover {
    background-color: rgba($navbar-bg, 0.4);
    border: 1px solid $gray-300;
    border-radius: 4px;
    padding: .25rem!important;
}
.section .activity.modtype_label.label {
    padding: .25rem!important;
}
li.activity.label:hover {
    background-color: transparent;
    border: 1px solid transparent;
    border-radius: 4px;
    padding: .25rem!important;
}
//remove white box for Timeline block in sidebar
aside#block-region-side-pre section.block_timeline .list-group-item {
    background-color: transparent;
}
header#page-header {
    position: relative;
    background: #1968be;
    background: linear-gradient(170deg,#0784a0 20%,#169fc1 65%);
}
.course-content ul.topics li.section, .course-content ul.weeks li.section {
    margin: 2rem 0;
    padding-bottom: 1rem;
    border: 0;
    border-bottom: 1px solid $gray-300;
}

//Dropdown overrides for Rebel Preset
.dropdown-menu.iconsidebar.show {
    padding: 1.25rem!important;
    color: $white;
    background-color: $body-bg;
}
.dropdown-menu.iconsidebar.show::-webkit-scrollbar-track {
    background-color: $body-bg!important;
}
.dropdown-menu.iconsidebar.show::-webkit-scrollbar-thumb {
    background-color: $white!important;
}

// Collapsible Topics Format Styling
.format-collapsibletopics li#section-0 {
    background-color: #e3eaf5;
    padding: 1rem;
    border-top: 7px solid $body-bg;
    border-radius: 4px;
}
.format-collapsibletopics div#collapse-0 {
    background-color: #fff;
    padding: 1rem;
    border-radius: 4px;
}
.format-collapsibletopics div#collapse-0 img.activityicon {
    height: 60px;
    width: 60px;
    vertical-align: middle;
}
.format-collapsibletopics div#collapse-0 li.activity {
    margin-bottom: 1rem;
}
.format-collapsibletopics div#collapse-0 li.activity:hover {
    background-color: transparent;
    border: 1px solid transparent;
    border-radius: 4px;
    padding: .25rem;
}
.format-collapsibletopics li.activity.label:hover {
    background-color: transparent;
    border: 1px solid transparent;
    border-radius: 4px;
    padding: .25rem;
}
.format-collapsibletopics div#collapse-0 span.instancename {
    font-size: 20px;
    padding-left: .75rem;
}
.format-collapsibletopics .course-content ul li.section.main {
    padding: 1rem 0;
}

// Show One Topic per page
#page-course-view-topics li#section-0 {
    margin: 0;
    border-bottom: 3px solid;
    padding-bottom: 0;
}